我刚刚在应用中更新了Android SDK和Ionic依赖项。

运行命令后:

cordova build android
cordova run android

我收到此错误消息:

插件不支持该项目的cordova-android版本。 cordova-android:3.7.1,失败的版本要求:> = 4.0.0-dev

我试图在AndroidManifest中更改目标SDK的值,并配置回SDK v。19,但是没有运气。

  ask by redrom translate from so

本文未有回复,本站智能推荐:

3回复

如何结合Cordova、Crosswalk和Ionic框架

我正在尝试创建一个结合上述项目的移动应用程序,但我不知道该怎么做。 以下是我发现的 2 个选项: 使用https://github.com/MobileChromeApps/mobile-chrome-apps - 我的问题是它似乎还没有准备好生产。 (有人告诉我是这样,但我找不到任何支持)。
2回复

是否将Cordova-Crosswalk-Android应用程序更新到新的Crosswalk版本?

我使用Crosswalk运行时来构建Android的Crosswalk Cordova应用 如何将这样的应用程序更新为人行横道的新版本?
1回复

将Crosswalk添加到Ionic后,AndroidBuild失败

对Ionic添加Crosswalk感到很兴奋,现在我的项目无法构建。 在更新和添加Crosswalk之前,该项目正在编译并正在工作。 有人对我如何纠正以下错误有任何建议? 我宁愿不回滚。 感谢版本控制:) 系统信息: 作业系统:Windows 8 节点版本:v0.10.3
4回复

如何从Cordova项目中删除Crosswalk?

我已将Crosswalk添加到cordova项目中,它可以正常工作。 但我想删除它做一些测试,但我不知道如何。 我试图删除以下行 来自project.properties文件,但构建过程崩溃。 有帮助吗? 没有在文档中找到它。
1回复

如何在Windows上为Android安装Crosswalk

人行横道主机设置链接 人行横道是制作基于html / js的android应用程序的新方法,该应用程序具有一定的性能,至少这是我所听到的。 要尝试,我必须安装它。 但是由于它是如此的未知,在这里没有标签,因此没有indepth指南来指导做什么,尤其是出现问题时该怎么办。 而且还需要大量
2回复

Crosswalk无法使用Android4.1“找不到项目运行时”错误

我无法获得使用Crosswalk在Android 4.1上运行的Cordova应用程序。 我已经使用Crosswalk构建了我的应用程序,并在2个月前使其在4.1上运行,但事实并非如此。 我将应用程序放在一边,并使用一个只有3个插件的空白Cordova项目进行了所有调试。 使用此处的说明
1回复

如何将Cordova应用程序迁移到共享模式Crosswalk

我已经成功迁移了现有项目(在本例中为Ionic项目),以使用Crosswalk。 Android 4.0.3 WebKit中该应用程序的性能非常糟糕,并且已通过Crosswalk完美修复。 正如预期的那样,发行版APK的大小增加了约18MB。 然后,我找到了共享模式,并按照说明创建了一
1回复

在CrossWalk中迁移Cordova应用程序时出错

我正在尝试使用本教程中给出的命令行工具在Crosswalk 中迁移 cordova 应用程序。运行android update project --subprojects --path 之后。 \\ --target "android-19" 我的终端显示: 更新了 project.propert